Bug 2238945 (CVE-2023-40397)

Summary: CVE-2023-40397 webkitgtk: arbitrary javascript code execution
Product: [Other] Security Response Reporter: ybuenos
Component: vulnerabilityAssignee: Product Security <prodsec-ir-bot>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedKeywords: Security
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in WebKit. This flaw allows a remote attacker to cause arbitrary javascript code execution.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2239380, 2239381    
Bug Blocks: 2238948    

Description ybuenos 2023-09-14 14:02:03 UTC
Versions affected: WebKitGTK and WPE WebKit before 2.40.5.
Credit to Johan Carlsson (joaxcar).
Impact: A remote attacker may be able to cause arbitrary javascript
code execution. Description: The issue was addressed with improved
checks.

Comment 2 Sandipan Roy 2023-09-18 05:34:18 UTC
Created webkitgtk tracking bugs for this issue:

Affects: fedora-37 [bug 2239380]
Affects: fedora-38 [bug 2239381]

Comment 3 errata-xmlrpc 2023-11-07 08:19:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:6535 https://access.redhat.com/errata/RHSA-2023:6535

Comment 4 errata-xmlrpc 2023-11-14 15:19:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:7055 https://access.redhat.com/errata/RHSA-2023:7055